package com.ho.business.service;

import com.ho.business.entity.StrategyOverviewUserSet;

/**
 * @author xwz
 * @desc: 策略管理界面保存默认值
 * @date 2024/04/07
 */
public interface StrategyOverviewUserSetService {

    /**
     * 根据用户id查询用户设置值（只有一条记录）
     * @param userId
     * @return
     */
    StrategyOverviewUserSet selectByUserId(String userId);

    /**
     * 新增用户设置值
     * @param vo
     * @return
     */
    int insertUserHabit(StrategyOverviewUserSet vo);

    /**
     * 更新用户设置值
     * @param vo
     * @return
     */
    int updateById(StrategyOverviewUserSet vo);

    /**
     * 设置用户设置值
     * @param vo
     * @return
     */
    Integer setStrategyOverviewUserSet(StrategyOverviewUserSet vo);
}
